gnutls_certificate_client_get_request_status(3)

NAME
gnutls_certificate_client_get_request_status - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_certificate_client_get_request_status(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Get whether client certificate was requested on the last handshake or not.

RETURNS
0 if the peer (server) did not request client authentication or 1 otherwise.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/